sorgl2.f(3)

NAME
sorgl2.f -

SYNOPSIS

  Functions/Subroutines
subroutine sorgl2 (M, N, K, A, LDA, TAU, WORK, INFO)
SORGL2

Function/Subroutine Documentation

  subroutine sorgl2 (integerM, integerN, integerK, real, dimension( lda, * )A, integerLDA, real, dimension( * )TAU, real, dimension( * )WORK, integerINFO)

SORGL2

Purpose:

     SORGL2 generates an m by n real matrix Q with orthonormal rows,
     which is defined as the first m rows of a product of k elementary
     reflectors of order n
           Q  =  H(k) . . . H(2) H(1)
     as returned by SGELQF.

Parameters:
    M

              M is INTEGER
              The number of rows of the matrix Q. M >= 0.

    N

              N is INTEGER
              The number of columns of the matrix Q. N >= M.

    K

              K is INTEGER
              The number of elementary reflectors whose product defines the
              matrix Q. M >= K >= 0.

    A

              A is REAL array, dimension (LDA,N)
              On entry, the i-th row must contain the vector which defines
              the elementary reflector H(i), for i = 1,2,...,k, as returned
              by SGELQF in the first k rows of its array argument A.
              On exit, the m-by-n matrix Q.

    LDA

              LDA is INTEGER
              The first dimension of the array A. LDA >= max(1,M).

    TAU

              TAU is REAL array, dimension (K)
              TAU(i) must contain the scalar factor of the elementary
              reflector H(i), as returned by SGELQF.

    WORK

              WORK is REAL array, dimension (M)

    INFO

              INFO is INTEGER
              = 0: successful exit
              < 0: if INFO = -i, the i-th argument has an illegal value

Author:
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Date:
    November 2011

Definition at line 114 of file sorgl2.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.